module GitVersionHeader
  class Engine < ::Rails::Engine
    
    initializer 'git_version_header.controller' do |app|  
      ActiveSupport.on_load(:action_controller) do  
        include GitVersionHeaderControllerExtension  
      end
    end

    initializer 'git_version_header.initializer' do |app|  
      ENV['GIT_VERSION'] = `git rev-parse HEAD`
    end

  end
end
